qgis-plugin-grass fails to install from nightly build on Ubuntu Precise

2012-05-11 07:53 PM - Kevin Kenny

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 15159

Description

I've been updating from nightly builds to get a QGIS compatible with the Ubuntu Precise system libraries.  The last time I attempted an

update, I got a version conflict for grass641.  I worked around the problem - at least to the extent of making QGIS run again without the

plugin - by uninstalling the plugin.

On attempting to reinstall the plugin, the error is clearer.

~$ dpkg-query -p qgis-plugin-grass

Package: qgis-plugin-grass

Priority: extra

Section: science

Installed-Size: 2832

Maintainer: Quantum GIS developers <qgis-developer@lists.osgeo.org>

Architecture: i386

Source: qgis

Version: 1.9.90+git20120504+99d41cf~precise1

Depends: qgis (= 1.9.90+git20120504+99d41cf~precise1), qgis-plugin-grass-common (= 1.9.90+git20120504+99d41cf~precise1), libc6

(>= 2.15), libgcc1 (>= 1:4.1.1), libgdal1-1.7.0, libqgis1.8.0, libqt4-svg (>= 4:4.5.3), libqt4-xml (>= 4:4.5.3), libqtcore4 (>= 4:4.7.0~beta1),

libqtgui4 (>= 4:4.8.0), libstdc++6 (>= 4.1.1), grass641

Size: 1757812

Description: GRASS plugin for Quantum GIS

 Quantum GIS is a Geographic Information System (GIS) which manages, analyzes

 and display databases of geographic information.

 .

 This plugin enables GRASS data access in the Quantum GIS geographic data

 viewer.

Homepage: http://qgis.org/$ sudo apt-get install qgis-plugin-grass

Reading package lists... Done

Building dependency tree       

Reading state information... Done

Some packages could not be installed. This may mean that you have

requested an impossible situation or if you are using the unstable

distribution that some required packages have not yet been created

or been moved out of Incoming.

The following information may help to resolve the situation:

The following packages have unmet dependencies:

 qgis-plugin-grass : Depends: grass641

E: Unable to correct problems, you have held broken packages.
Attempting to downgrade GRASS also fails - 6.4.2.2-precise1 appears

to be the earliest version available from the regular servers.

Is there an alternative way to resolve this conflict short of building

everything (QGIS, GDAL, GRASS, and perhaps even Qt) from source? Have

I done something wrong in the specification of repositories to use?

History

#1 - 2012-05-12 01:36 AM - Giovanni Manghi

- Status changed from Open to Feedback

There are no yet packages for QGIS in the ubuntugis/precise repository. If you want to install qgis-dev/1.8 in precise (with GRASS and the plugin) just use

the nightly-build repository. You will find directions in the download page.

#2 - 2012-05-12 04:30 AM - Kevin Kenny

Uhm, I've been installing from the nightly build repository - as it says in the first line of the problem description. But grass641, unsurprisingly, isn't in the

nightly build repository (it comes from osgeo.org, not qgis.oprg), and the nightly build requires a version of GRASS (6.4.1) that appears to be older than

anything available for Ubuntu Precise from the ubuntugis-unstable repository - which the installation instructions specifically state is required to retrieve

GRASS to run the nightlies. The ubuntugis-unstable repository appears to have GRASS 6.4.2.2.

Are you saying that I need to install the -dev package to run QGIS itself? That's a little peculiar. Most applications don't require you to install -dev if you're

not planning to compile code for them.

I can't recall ever having asked for the plugin specifically, it came along for the ride when Synaptic installed QGIS.  I see it's called out as a 'recommended'

package, and I may have given Synaptic the go-ahead to install 'recommended' packages.

$ dpkg-query -p qgis

Package: qgis

Priority: extra

Section: science

Installed-Size: 10361

Maintainer: Quantum GIS developers <qgis-developer@lists.osgeo.org>

Architecture: i386

Version: 1.9.90+git20120509+d1cb3f3~precise1

Depends: libc6 (>= 2.4), libgcc1 (>= 1:4.1.1), libgdal1-1.7.0, libgsl0ldbl (>= 1.9), libpq5, libproj0, libqgis1.8.0, libqt4-network (>= 4:4.5.3), libqt4-sql (>=

4:4.5.3), libqt4-svg (>= 4:4.5.3), libqt4-xml (>= 4:4.5.3), libqtcore4 (>= 4:4.8.0), libqtgui4 (>= 4:4.8.0), libqtwebkit4 (>= 2.2~2011week36), libqwt5-qt4,

libspatialite3 (>= 3.0.0~beta20110817), libsqlite3-0 (>= 3.5.9), libstdc++6 (>= 4.6), qgis-providers (= 1.9.90+git20120509+d1cb3f3~precise1),

qgis-common (= 1.9.90+git20120509+d1cb3f3~precise1)

Recommends: qgis-plugin-globe, qgis-plugin-grass, python-qgis

Suggests: gpsbabel

Conflicts: uim-qt3

Size: 5783656

Description: Geographic Information System (GIS)

 A Geographic Information System (GIS) manages, analyzes, and displays

 databases of geographic information. Quantum GIS (QGIS) supports shape file

 viewing and editing, spatial data storage with PostgreSQL/PostGIS, projection

 on-the-fly, map composition, and a number of other features via a plugin

 interface. QGIS also supports display of various georeferenced raster and

 Digital Elevation Model (DEM) formats including GeoTIFF, Arc/Info ASCII Grid,
 and USGS ASCII DEM.

Homepage: http://qgis.org/

#3 - 2012-05-12 07:17 AM - Jürgen Fischer

Kevin Kenny wrote:

that appears to be older than anything available for Ubuntu Precise from the ubuntugis-unstable repository - which the installation instructions

specifically state is required to retrieve GRASS to run the nightlies. The ubuntugis-unstable repository appears to have GRASS 6.4.2.2.

Please quote the misleading part of the installation instructions.  The nightly builds don't use anything of ubuntugis and by installing GRASS from ubuntugis

you actually mask ubuntu's GRASS version, that QGIS would need.

#4 - 2012-05-12 09:32 AM - Kevin Kenny

Thanks for your time, and sorry that I'm being too stupid to install this stuff.

In the nightly repository, I see the following packages.

libqgis-dev, libqgis-1.8.0, libqgis-1.9.90, python-qgis, python-qgis-common, qgis, qgis-api-doc, qgis-common, qgis-mapserver, qgis-plugin-globe,

qgis-plugin-globe-common, qgis-plugin-grass, qgis-plugin-grass-common, qgis-providers, qgis-providers-common, qgis-sqlanywhere .

Attempting to install 'qgis' - including the 'recommended' packages as well as the 'required' ones - yields an error, because 'qgis-plugin-grass' has a

dependency on 'grass641', which is nowhere to be found in the nightly repository.

Upon getting that error, I reviewed the download instructions at https://issues.qgis.org/wiki/quantum-gis/Download and saw a paragraph headed 'GRASS'

in the 'Ubuntu' section:

GRASS

If you want the GRASS plugin make sure to install the optional package

sudo apt-get install qgis-plugin-grass

See https://launchpad.net/~ubuntugis/+archive/ubuntugis-unstable for more information.

And that cross reference is what pointed me to the ubuntugis-unstable archive. I had been aware of that archive before, because I'd found it necessary to

use it to get a working QGIS on Oneiric. Upgrading to Precise, of course, had disabled use of the ubuntugis-unstable archive.

I do not see a 'grass341' package in any of the Ubuntu default archives: where is it that I am expected to find it?

#5 - 2012-05-12 10:09 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to invalid

Kevin Kenny wrote:
GRASS

If you want the GRASS plugin make sure to install the optional package

sudo apt-get install qgis-plugin-grass

See https://launchpad.net/~ubuntugis/+archive/ubuntugis-unstable for more information.

That is meant for the release versions only.   The ubuntu versions are hosted on launchpad.

I do not see a 'grass341' package in any of the Ubuntu default archives: where is it that I am expected to find it?

The grass package in precise provides grass641

#6 - 2012-05-12 10:53 AM - Kevin Kenny

Problem was a corrupted package cache - manually uninstalling and reinstalling dependencies appears eventually to have fixed it.
